Pave Bank
Sandbox/Simulate RFI/RFI Question

Create RFI Question Action

Perform an action on a specific question within a Request for Information.

This endpoint is only available in our sandbox environment. It is not available in production.

Use this endpoint to perform actions on individual RFI questions in sandbox mode, simulating the compliance team approving, rejecting, or closing specific questions after reviewing customer responses.

Example Request — Approve

curl --request POST \
  --url https://developer-api-staging.pavebank.dev/v1/sandbox/rfis/<RFI_ID>/questions/<RFI_QUESTION_ID>/action \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  --header 'Content-Type: application/json' \
  --data '{
    "action": "approve",
    "rfi_response_ids": ["<RFI_RESPONSE_ID>"],
    "response_text": "Response approved - documents verified"
  }'
POST
/v1/sandbox/rfis/{rfiID}/questions/{questionID}/action

Authorization

AuthorizationRequiredBearer <token>

Enter your token in the format: Bearer {token}

In: header

Request Body

application/jsonOptional
actionRequiredstring

The action to perform on an RFI or question

Value in: "approve" | "reject" | "close"
rfi_response_idsarray<string>

Array of response IDs to accept. Required when action is 'approve'.

response_textstring

Additional staff comment or feedback

Path Parameters

rfiIDRequiredstring

The unique identifier of the RFI

questionIDRequiredstring

The unique identifier of the question

Response Body

Success response

curl -X POST "https://developer-api-staging.pavebank.dev/v1/sandbox/rfis/string/questions/string/action" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "action": "approve",
    "rfi_response_ids": [
      "rfi_response_123"
    ],
    "response_text": "Response approved - documents verified"
  }'
Empty